<?php
/**
 * $Horde: mottle/archive.php,v 1.5 2005/01/03 14:35:19 jan Exp $
 *
 * Copyright 2004-2005 Daniel Vandal <dvandal@infoteck.qc.ca>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/licenses/bsdl.php.
 */

@define('MOTTLE_BASE', dirname(__FILE__));
require_once MOTTLE_BASE . '/lib/base.php';
require_once 'Horde/Image.php';

/* Page variable */
$title = _("MOTDs List");

/* Get the MOTD list. */
if (Auth::isAdmin()) {
    $motds_list = Mottle::listExpiredMOTD(true);
} else {
    $motds_list = Mottle::listExpiredMOTD();
}

/* Render the page. */
Horde::addScriptFile('popup.js', 'horde', true);
require MOTTLE_TEMPLATES . '/common-header.inc';
require MOTTLE_TEMPLATES . '/menu.inc';
$notification->notify(array('listeners' => 'status'));

$motds = array ();
foreach (array_keys($motds_list) as $i => $id) {
    // Only use the MD5 id:
    if (preg_match('/^[A-Fa-f0-9]{32}$/',$id)) {
        $data = Mottle::getMOTD($id);
        $motds[$data['post_time']['text']][$id] = $data;
    }
}

if (count($motds) > 0) {
    require MOTTLE_TEMPLATES . '/archive/header.inc';

    $class = '';
    krsort($motds);
    foreach ($motds as $date => $id_list) {
        foreach ($id_list as $id => $motd) {
            /* Generate the permissions URL for this MOTD. */
            $permsurl = Util::addParameter(Horde::url($registry->get('webroot', 'horde') . '/services/shares/edit.php?app=mottle'), 'share', $id);

            /* Generate the edit URL for this MOTD. */
            $editurl = Util::addParameter(Horde::applicationUrl('edit.php'), array('motd_id' => $id,
                                                                                   'actionID' => MOTTLE_EDIT_FORM,
                                                                                   'motd_id' => $id,
                                                                                   'motd_title' => $motd['title'],
                                                                                   'motd_post_time[month]' => $motd['post_time']['month'],
                                                                                   'motd_post_time[day]' => $motd['post_time']['day'],
                                                                                   'motd_post_time[year]' => $motd['post_time']['year'],
                                                                                   'motd_expire_time[month]' => $motd['expire_time']['month'],
                                                                                   'motd_expire_time[day]' => $motd['expire_time']['day'],
                                                                                   'motd_expire_time[year]' => $motd['expire_time']['year'],
                                                                                   'motd_text' => $motd['text']));

            /* Generate the delete URL for this MOTD */
            $deleteurl = Util::addParameter(Horde::applicationUrl('edit.php'), array('motd_id' => $id,
                                                                                     'actionID' => MOTTLE_DELETE_MOTD));

            $share = &$GLOBALS['mottle_shares']->getShare($id);

            if ($class != 'listitem') {
                $class = 'listitem';
            } else {
                $class = 'oldlistitem';
            }
            require MOTTLE_TEMPLATES . '/archive/motd.inc';
        }
    }

    require MOTTLE_TEMPLATES . '/archive/footer.inc';
} else {
    require MOTTLE_TEMPLATES . '/archive/empty.inc';
}

require $registry->get('templates', 'horde') . '/common-footer.inc';
